/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2018 Synopsys, Inc. and/or its affiliates.
 * Synopsys DesignWare eDMA controller driver.
 */

#ifndef __PED_IOCTL_H__
#define __PED_IOCTL_H__


enum 
{
	PED_COMMANDS_START           = 0x900,
	
	PED_IOCTL_PING,
	PED_IOCTL_PCI_HDR_READ,
	PED_IOCTL_PCI_HDR_DATA_READ,
	PED_IOCTL_PCI_HDR_DATA_WRITE,
	PED_IOCTL_PCI_BAR_READ,
	PED_IOCTL_PCI_BRA_WRITE,
	PED_IOCTL_APP_CMD,

	PED_COMMANDS_END,

};


#endif //__PED_IOCTL_H__

